const ora = require('ora');

const isNil = (x) => x === null || x === undefined;

let activeSpinner = null;

module.exports = {
    start: (text) => {
        if (isNil(activeSpinner)) {
            activeSpinner = ora().start();
        }
        if (!isNil(text)) {
            activeSpinner.text = text;
        }
        return activeSpinner;
    },
    stop: () => {
        if (!isNil(activeSpinner)) {
            activeSpinner.stop();
            activeSpinner = null;
        }
        return activeSpinner;
    },
    setText: (text) => {
        if (!isNil(activeSpinner)) {
            activeSpinner.text = text;
        }
    },
};
